/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaLocalidadeRemovida;
import com.rjconsultores.ventaboletos.entidad.Parada;

/**
 *
 * @author valdevirsp
 */
public interface ConexionRutaLocalidadeRemovidaService extends GenericService<ConexionRutaLocalidadeRemovida, Integer> {
	
	public void removerPorParada(Parada parada);
	
	public ConexionRutaLocalidadeRemovida suscribir(Integer ConexionRutaConfId, Integer paradaId);
	
	public ConexionRutaLocalidadeRemovida obtenerPorParadaId(Integer id);
	
	public List<ConexionRutaLocalidadeRemovida> obtenerPorParadaList(List<Parada> paradaList);
	
	public ConexionRutaLocalidadeRemovida obtenerPorParadaIdEConexionrutaconfId(Integer conexionRutaConfId,Integer paradaId);

	public List<ConexionRutaLocalidadeRemovida> obtenerPorConexionrutaconfIdEParadaIdList(Integer conexionRutaConfId,List<Parada> paradaList);

    public void removerTodosPorConexionrutaconfId(Integer conexionRutaConfId);
}
